The SML of NJ Library
The UUID Library

## Overview

The UUID Library is a library for generating UUIDs (Universally Unique IDentifiers), which are also known as GUIDs (Globally Unique IDentifiers). It currently only supports generating Variant 1, Type 4 UUIDs, which are random bit strings (these are the UUIDs generated by the `NewGuid` function on Microsoft Windows).

The UUID Library was first included in Version 110.97 of SML/NJ.

## Contents

`structure UUID`

  This structure implements an abstract type for representing UUIDs.

`structure GenUUID`

  This structure implements a generator for UUIDs.

## Usage

For SML/NJ, include `$/uuid-lib.cm` in your CM file.

For use in MLton, include `$(SML_LIB)/smlnj-lib/UUID/uuid-lib.mlb` in your MLB file.

SML/NJ Version 110.99.3 (August 1, 2023)
Last updated 2023-07-31 17:59:01 UTC